<?php
/**
 * 
*/

$user_id = elgg_get_logged_in_user_guid();
$uoc_id = elgg_get_plugin_user_setting('uid', $user_id, 'uocKpax');
$access_token = elgg_get_plugin_user_setting('access_token', $user_id, 'uocKpax');

$site_name = elgg_get_site_entity()->name;
echo '<div>' . elgg_echo('uocKpax:usersettings:description', array($site_name)) . '</div>';

if (!$uoc_id || !$access_token) {
	// send user off to validate account
    $callback = elgg_get_site_url() . 'uocKpax/authorize' ;
	$request_link = uocKpax_get_authorize_url($callback);
	echo '<div>' . elgg_echo('uocKpax:usersettings:request', array($request_link, $site_name)) . '</div>';
} else {
	elgg_load_library('uocKpax');
}
