<?php
/**
 *
 */
$insert_view = elgg_view('uocKpaxsettings/extend');

/*
 * Input configuration for clientId
 */
$consumer_clientId_string = elgg_echo('uocKpax: clientId');
$consumer_clientId_view = elgg_view('input/text', array(
	'name' => 'params[consumer_clientId]',
	'value' => $vars['entity']->consumer_clientId,
	'class' => 'text_input',
));

/*
 * Input configuration for secret Key
 */
$consumer_secret_string = elgg_echo('uocKpax: secretKey');
$consumer_secret_view = elgg_view('input/text', array(
	'name' => 'params[consumer_secret]',
	'value' => $vars['entity']->consumer_secret,
	'class' => 'text_input',
));


/*
 * Input configuration for host
 */
$consumer_host_string = elgg_echo('uocKpax: host');
$consumer_host_view = elgg_view('input/text', array(
	'name' => 'params[consumer_host]',
	'value' => $vars['entity']->consumer_host,
	'class' => 'text_input',
));


$sign_on_with_uocKpax_string = elgg_echo('uocKpax:login');
$sign_on_with_uocKpax_view = elgg_view('input/dropdown', array(
	'name' => 'params[sign_on]',
	'options_values' => array(
		'yes' => elgg_echo('option:yes'),
		'no' => elgg_echo('option:no'),
	),
	'value' => $vars['entity']->sign_on ? $vars['entity']->sign_on : 'no',
));

$settings = <<<__HTML
<div>$insert_view</div>
<div>$consumer_clientId_string $consumer_clientId_view</div>
<div>$consumer_secret_string $consumer_secret_view</div>
<div>$consumer_host_string $consumer_host_view</div>
<div>$sign_on_with_uocKpax_string $sign_on_with_uocKpax_view</div>
__HTML;

echo $settings;
